#
# spec file for package fcitx-googlepinyin
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           fcitx-googlepinyin
Version:        0.1.6
Release:        10.1
Summary:        Googlepinyin module for fcitx
Group:          System/I18n/Chinese
License:        GPL-3.0+
Url:            http://code.google.com/p/fcitx
BuildRequires:  cmake
BuildRequires:  libgooglepinyin-devel
BuildRequires:  fcitx-devel
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkg-config
Source:         %{name}-%{version}.tar.bz2
Provides:       locale(fcitx:zh_CN;zh_SG)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
fcitx-googlepinyin is a Googlepinyin module for fcitx.
 
%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir} -pv build
pushd build
cmake   -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DLIB_INSTALL_DIR=%{_libdir} \
        ..
make

%install
pushd build
make DESTDIR=%{buildroot} install
popd

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/fcitx
%{_datadir}/fcitx/*
%{_datadir}/icons/hicolor/*/apps/fcitx-googlepinyin.png

%changelog
* Thu Oct 11 2012 i@marguerite.su
- updte 0.1.6
  * a bug fix release
* Mon Jun 25 2012 i@marguerite.su
- fix fedora builds.
* Mon May 28 2012 i@marguerite.su
- bring it into DVD.
* Mon Mar 12 2012 cfarrell@suse.com
- license update: GPL-3.0+
* Fri Mar  9 2012 hillwood@linuxfans.org
- update to 0.4.1
  Portable to run with archive
* Wed Feb 29 2012 i@marguerite.su
- set _service disabled. update source from git.
* Sat Jan 28 2012 i@marguerite.su
- Upstream version 0.1.4git
* Sun Oct  2 2011 hillwood@linuxfans.org
- Update to 0.1.3
  coexistance with latest Fcitx API.
  pre-input text shows Chinese and fixed cursor position.
* Thu Sep  8 2011 hillwood@linuxfans.org
- Update to 0.1.2
* Thu Sep  8 2011 hillwood@linuxfans.org
- First package for 0.1.1
